#-------------------------------------------------------------------------------
# Copyright (C) 2024 bAvenir
#
# This program and the accompanying materials are made
# available under the terms of the Eclipse Public License 2.0
# which is available at https://www.eclipse.org/legal/epl-2.0/
#
# SPDX-License-Identifier: EPL-2.0
#-------------------------------------------------------------------------------
# UPDATE for configuration of CADDY
caddy:
  image: caddy:latest
  extra_hosts:
    - host.docker.internal:host-gateway
  restart: unless-stopped
  ports:
    #      - "80:80" # NB HTTP
    #      - "1443:443" # NB HTTPS
    - "1444:444" # SB HTTPS (Can be closed or opened only for local host)
  labels:
    - traefik.enable=true
    - traefik.http.services.node2.loadbalancer.server.port=443
    - traefik.http.routers.node2.entrypoints=websecure,web
    - traefik.http.routers.node2.rule=Host(`node2.my.dns.online`)
    - traefik.http.routers.node2.tls.certresolver=myresolver
    - traefik.http.services.node2.loadbalancer.server.scheme=https
  command: [ "caddy", "run", "--config", "/etc/caddy/caddy-config.json" ]
  volumes:
    - ./caddy-config.json:/etc/caddy/caddy-config.json
    - caddy_shared:/caddy_shared
    - caddy_data:/data
    - caddy_config:/config
  networks:
    - default
    - traefik_network
